Browser Policy

 

BenefitMall Browser Policy - As of May 2018

To provide a rich user experience, BenefitMall utilizes the latest capabilities found in modern, up-to-date web browsers, which also ensures users are benefiting from the highest level of security and performance available from these browsers. However, with more than 10,000 browsers, browser versions and configuration combinations on the market today, it is not practical for BenefitMall to fully test its websites with each combination.

  • Microsoft® Internet Explorer® - version 11 or the most recent stable version
  • Microsoft Edge® - version 41 or the most recent stable version
  • Google Chrome™ - version 66 or the most recent stable version
  • Mozilla Firefox® - versions 59 and 52 ESR or the most recent stable version
  • Apple® Safari® - version 11 or the most recent stable version for Mac OS X
Please note that BenefitMall requires the following, regardless of the operating system and browser, in order to successfully interact with its websites. However, actual utilization of these browser capabilities may vary by website:
  • Browser must be configured to accept cookies
  • Browser must be configured to execute JavaScript
  • Browser must be capable of support TLS 1.2
  • Browser must be capable of supporting 128-bit SSL encryption
  • Browser must allow popups
  • Compatibility-mode should be turned off (Internet Explorer)

If you are using an older version of one of the browsers listed above, it is highly recommended that you upgrade your browser to the latest version to avoid any potential issues while using BenefitMall websites. You can download the most up-to-date version of the following browsers by using the links provided below.